petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASSetInterpolation

Sets the function to be used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInterpolation(SNES snes, PetscInt level, Mat mat)

### Input Parameters

| snes | - the multigrid context Many br
| mat | - the interpolation operator Many br
| level | - the level (0 is coarsest) to supply [do not supply 0] Many br

Many br

### Notes

Usually this is the same matrix used also to set the restriction Many brfor the same level. Many br

One can pass in the interpolation matrix or its transpose; PETSc figures Many brout from the matrix size which one it is. Many br

### Keywords

FAS, multigrid, set, interpolate, level

### See Also

SNESFASSetInjection(), SNESFASSetRestriction(), SNESFASSetRScale()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages